
PH_2 - Bug #2429

Financial Module - Add deposits

12/09/2021 09:24 AM - Saja Nakhleh

Status: Feedback Start date: 12/08/2021

Priority: Normal Due date:  

Assignee: Rahmeh Al Naimat % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers:  Actual Result: Issue #1:

the validation messages are occurred

even if the user does not set any value

yet ! 36.gif

Issue #2:

the Add action will keep disabled till the

user re-login 

Issue #3:

Searching and Selecting the files are

done inside the module !!

Issue #4:

the deposit details is NOT mandatory

and this is cause a corrupted records on

the payment screen 41.gif

Severity: Normal Environment: QA

Category: Financial Module Transaction Number: user ID: USR00249

Sub-Category: deposites Browser:  

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: Issue #1:

the validation messages should be

occurred once a wrong value is set

Issue #2:

the add action should be enabled for the

second searched id

Issue #3:

Searching and Selecting files should be

from the main (select file) tab on the

Family care system as the other modules

work as in 38.gif

Issue #4:

the added deposit details should be

added mandatory !

  

Description

Issue #1:

1. Open add new deposits screen

2. search for new id and click Add

3. Observe the validation messages that occurred once the screen opens

Issue #2:

1. From the search fields, search for any id that has records (i.e: 265111300333)

2. observed the add action is disabled
3. search again for an id that does not have any records

4. Observe the add action

Issue #3:

1. Open the (Add deposits screen)

2. Observe the searching and selecting files behavior

Issue #4:

1. Add new deposit

2. Observe the deposit details screen

History

#1 - 12/09/2021 10:00 AM - Saja Nakhleh

- File 37.GIF added

- File 41.GIF added

- Description updated

- Expected Result updated

- Actual Result updated

#2 - 12/09/2021 10:04 AM - Saja Nakhleh

- File 38.GIF added

- Expected Result updated

#3 - 12/10/2021 10:17 AM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Rahmeh Al Naimat

#4 - 12/11/2021 03:24 PM - Rahmeh Al Naimat

- Status changed from Open to Fixed

- Assignee changed from Rahmeh Al Naimat to Saja Nakhleh

#5 - 12/11/2021 04:01 PM - Saja Nakhleh

- File 58.GIF added

- File 59.GIF added

- Status changed from Fixed to Feedback

Issue #1:

tested and verified.

Issue #2:

tested and verified.

Issue #3:

needs BA confirmation

Issue #4:

the added deposits without details, will be shown on the export screen !!! 59.gif

Issue #5:

once the file is selected then the file number will not be inherited !58.gif
#6 - 12/11/2021 04:36 PM - Saja Nakhleh

- Assignee changed from Saja Nakhleh to Rahmeh Al Naimat
